OVH Community, votre nouvel espace communautaire.

Question Graphique


uniterre
04/04/2007, 10h28
avec emerge --regen -v, et emerge SphinxTrain ca n'a rien réglé. J'ai toujours le probleme suivant qui apparait quand je fais emerge --sync:

!!! One of the following masked packages is required to complete your request:
- app-accessibility/SphinxTrain-0.9.1-r1 (masked by: missing keyword)

Une idée !

pascal
25/01/2007, 20h41
Sur le forum gentoo ils disaient de faire un "emerge --regen -v", ce qui m'a presque reglé le probleme ...

cache.cache_errors.CacheCorruption: app-admin/webmin-1.290 is corrupt: dictionary update sequence element #0 has length 1; 2 is required


Mars105
08/01/2007, 08h04
J'ai le même problème avec l'arbre de portage corrompe, mais ce qui me paraît bizzare c'est que je l'ai mis à jour vendredi sans problèmes, et ce matin ça passe plus.
Et ça me fait ça uniquement sur le serveur chez OVH (Mes trois autres serveurs gentoo ne le font pas)

Mais le sujet n'est pas ici.

En ce qui concèrne ton interface graphique, ça risque de coincer un peut.

Mais la veritable question c'est, tu veut faire quoi avec une interface graphique sur ton serveur?

Parceque c'est bien joli de l'installer, mais après il faut encor pouvoir se connecter à cette interface.

Si tu explique ce que tu veut faire peut-être que je pourrait t'aider

lexase
03/01/2007, 22h30
j'ai regler mon problem
en tappant emerge SphinxTrain
ca servira apres

Shadow aok
30/12/2006, 10h06
Bizarre, on dirait que ton arbre est corrompu.
Je te dirais bien de le vider (/usr/portage/*) mais je ne suis pas sûr que cela réglera ton problème.

lexase
29/12/2006, 18h15
quand je met emerge --sync

Code:
sent 2529 bytes  received 3285098 bytes  226732.90 bytes/sec
total size is 159004490  speedup is 48.36

>>> Updating Portage cache:      Traceback (most recent call last):
  File "/usr/bin/emerge", line 4049, in ?
    emerge_main()
  File "/usr/bin/emerge", line 4006, in emerge_main
    action_sync(settings, trees, mtimedb, myopts, myaction)
  File "/usr/bin/emerge", line 2924, in action_sync
    action_metadata(settings, portdb, myopts)
  File "/usr/bin/emerge", line 3019, in action_metadata
    eclass_cache=ec, verbose_instance=noise_maker)
  File "/usr/lib/portage/pym/cache/util.py", line 47, in mirror_cache
    if trg and not write_it:
  File "/usr/lib/python2.4/UserDict.py", line 170, in __len__
    return len(self.keys())
  File "/usr/lib/portage/pym/cache/mappings.py", line 54, in keys
    return list(self.__iter__())
  File "/usr/lib/portage/pym/cache/mappings.py", line 48, in __iter__
    for k in self.orig.iterkeys():
  File "/usr/lib/python2.4/UserDict.py", line 103, in iterkeys
    return self.__iter__()
  File "/usr/lib/portage/pym/cache/mappings.py", line 83, in __iter__
    return iter(self.keys())
  File "/usr/lib/portage/pym/cache/mappings.py", line 87, in keys
    self.d.update(self.pull())
  File "/usr/lib/portage/pym/cache/flat_hash.py", line 29, in callit
    return args[0](*args[1:]+args2)
  File "/usr/lib/portage/pym/cache/flat_hash.py", line 47, in _pull
    raise cache_errors.CacheCorruption(cpv, e)
cache.cache_errors.CacheCorruption: app-accessibility/SphinxTrain-0.9.1-r1 is corrupt: dictionary update sequence element #0 has length 1; 2 is required

lexase
29/12/2006, 18h07
je les fais plusieur fois et ca donne rien

Shadow aok
29/12/2006, 17h52
Met ton arbre portage à jour avec :
emerge --sync

Et retente d'installer X

lexase
28/12/2006, 22h12
c'est fais la quand je met emerge xorg-x11 je recois :
Code:
collect2: ld a retourné 1 code d'état d'exécution
mklib: Installing libGL.so.1.2 libGL.so.1 libGL.so in ../../../lib
mv: ne peut évaluer `libGL.so.1.2': Aucun fichier ou répertoire de ce type
make[3]: *** [../../../lib/libGL.so] Erreur 1
make[3]: Leaving directory `/var/tmp/portage/mesa-6.5.1-r1/work/Mesa-6.5.1/src/glx/x11'
make[2]: *** [subdirs] Erreur 1
make[2]: Leaving directory `/var/tmp/portage/mesa-6.5.1-r1/work/Mesa-6.5.1/src'
make[1]: *** [default] Erreur 1
make[1]: Leaving directory `/var/tmp/portage/mesa-6.5.1-r1/work/Mesa-6.5.1'
make: *** [linux-dri-x86] Erreur 2

!!! ERROR: media-libs/mesa-6.5.1-r1 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  mesa-6.5.1-r1.ebuild, line 214:   Called die

!!! Build failed
!!! If you need support, post the topmost build error, and the call stack if relevant.

Shadow aok
28/12/2006, 22h06
Si tu n'as pas installé de serveur X c'est donc normal, je pensais que tu en étais à la configuration de ce dernier.

Je n'utilise pas d'interface graphique sur mes serveurs donc je ne suis pas à la meilleure position pour t'aider, désolé.

Dans ton make.conf, pour VIDEO_CARDS, tu peux mettre vesa en effet, ou s3 par rapport à ta carte graphique.
A mon avis, le mieux serait de mettre les deux, soit VIDEO_CARDS = "s3 vesa"

Voici un guide qui pourra t'aider :
http://www.gentoo.org/doc/fr/xorg-config.xml

lexase
28/12/2006, 22h02
Non j'ai pas trouver /etc/X11/XF86Config

lexase
28/12/2006, 22h00
ah et comment faire pour mettre xorg ?

Shadow aok
28/12/2006, 21h58
Vu que tu as XFree et non Xorg, ton fichier de configuration doit être /etc/X11/XF86Config

Shadow aok
28/12/2006, 21h56
Non, dans ton xorg.conf sous : Section "Device".
Tu renseignes "vesa" pour le champ Driver.

Cela devrait donner ceci :
Driver "vesa"

lexase
28/12/2006, 21h54
quand je met
emerge xf86-video-sis
je recois ca :
Code:
collect2: ld a retourné 1 code d'état d'exécution
mklib: Installing libGL.so.1.2 libGL.so.1 libGL.so in ../../../lib
mv: ne peut évaluer `libGL.so.1.2': Aucun fichier ou répertoire de ce type
make[3]: *** [../../../lib/libGL.so] Erreur 1
make[3]: Leaving directory `/var/tmp/portage/mesa-6.5.1-r1/work/Mesa-6.5.1/src/glx/x11'
make[2]: *** [subdirs] Erreur 1
make[2]: Leaving directory `/var/tmp/portage/mesa-6.5.1-r1/work/Mesa-6.5.1/src'
make[1]: *** [default] Erreur 1
make[1]: Leaving directory `/var/tmp/portage/mesa-6.5.1-r1/work/Mesa-6.5.1'
make: *** [linux-dri-x86] Erreur 2

!!! ERROR: media-libs/mesa-6.5.1-r1 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  mesa-6.5.1-r1.ebuild, line 214:   Called die

!!! Build failed
!!! If you need support, post the topmost build error, and the call stack if relevant.

lexase
28/12/2006, 21h48
VIDEO_CARDS="vesa"
ca ?

lexase
28/12/2006, 21h44
Comment ? je suis debutant et merci

Shadow aok
28/12/2006, 21h42
Pas besoin, tu mets vesa dans ton fichier de configuration de X et cela suffira.

lexase
28/12/2006, 21h33
Ou je peux trouver les drivers ?

Shadow aok
28/12/2006, 21h29
La plupart du temps c'est soit un chipset graphique intel sinon via.

Dans ton cas, il s'agit d'une solution graphique S3 UniChrome Pro (chipset VIA P4M890).

lexase
28/12/2006, 21h17
Ca me donne ca :
Code:
ns38302 ~ # lspci
00:00.0 Host bridge: VIA Technologies, Inc. P4M890 Host Bridge
00:00.1 Host bridge: VIA Technologies, Inc. P4M890 Host Bridge
00:00.2 Host bridge: VIA Technologies, Inc. P4M890 Host Bridge
00:00.3 Host bridge: VIA Technologies, Inc. P4M890 Host Bridge
00:00.4 Host bridge: VIA Technologies, Inc. P4M890 Host Bridge
00:00.5 PIC: VIA Technologies, Inc. P4M890 I/O APIC Interrupt Controller
00:00.6 Host bridge: VIA Technologies, Inc. P4M890 Security Device
00:00.7 Host bridge: VIA Technologies, Inc. P4M890 Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI Bridge
00:03.0 PCI bridge: VIA Technologies, Inc. P4M890 PCI to PCI Bridge Controller
00:0f.0 RAID bus controller: VIA Technologies, Inc. VT8237A SATA 2-Port Controll                      er (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/                      C PIPC Bus Master IDE (rev 07)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237A PCI to ISA Bridge
00:11.7 Host bridge: VIA Technologies, Inc. VT8251 Ultra VLINK Controller
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 7c)
00:13.0 PCI bridge: VIA Technologies, Inc. VT8237A Host Bridge
01:00.0 VGA compatible controller: VIA Technologies, Inc. Unknown device 3343 (r                      ev 02)

visualight
28/12/2006, 21h01
Utilise la commande (ssh) :
Code:
lspci

lexase
28/12/2006, 20h47
qu'elle sont les carte graphique dont disposent les serveurs de OVH
ATI Ou Nvidia car je veux Installer Xwindows